#ifndef _DELAY_H_
#define _DELAY_H_

unsigned long crystal = 12000000; // Crystal clock in Hz
unsigned long x;
unsigned long y;

void delay_us(unsigned long int microseconds);
void delay_ms(unsigned long int milliseconds);
void delay_s(unsigned long int seconds);

void delay_us(unsigned long int microseconds)
{
	unsigned long int i;
	unsigned long int x = (microseconds / 1000000) * crystal / 5;
	for(i = 0; i < x; i++);
}

void delay_ms(unsigned long int milliseconds)
{
	unsigned long int i;
	unsigned long int x = (milliseconds / 1000) * crystal / 5;
	for(i = 0; i < x; i++);
}

void delay_s(unsigned long int seconds)
{
	unsigned long int i;
	unsigned long int x = seconds * crystal / 5;
	for(i = 0; i < x; i++);
}

#endif // _DELAY_H_
